2012/5/17 Jan E. <lists / ruby-forum.com>:
> SignalExceptions are *not* rescued. You probably used a wrong argument
> for the signal and caused an ArgumentError, which is then rescued:

You are right:

begin
  raise SignalException
rescue => e
  puts "Exception #{e.inspect} rescued"
end


Output:

Exception #<ArgumentError: wrong number of arguments (0 for 1)> rescued


It seems that SingalException.new requires one argument.

Thanks a lot.


-- 
Iaki Baz Castillo
<ibc / aliax.net>